org.apache.tapestry5.internal.parser

## Class StartElementToken

- java.lang.Object
- - org.apache.tapestry5.ioc.BaseLocatable
  - - org.apache.tapestry5.internal.parser.TemplateToken
    - - org.apache.tapestry5.internal.parser.StartElementToken

- All Implemented Interfaces:
    Locatable, RenderCommand

      public class StartElementToken
      extends TemplateToken
      implements RenderCommand

  The start of an ordinary element within the template (as opposed to `StartComponentToken`, which represents an active Tapestry token. A start element token may be immediately followed by `AttributeToken`s that represents the attributes associated with the element. A start element token will always be balanced by a `EndElementToken` (though there will likely be some amount of intermediate tokens).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `name`
    `java.lang.String` | `namespaceURI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartElementToken(java.lang.String namespaceURI, java.lang.String name, Location location)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `render(MarkupWriter writer, RenderQueue queue)` Invoked on an object to request that it render itself.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.tapestry5.internal.parser.TemplateToken

      `getTokenType`

    - ### Methods inherited from class org.apache.tapestry5.ioc.BaseLocatable

      `getLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### namespaceURI

          public final java.lang.String namespaceURI

    - #### name

          public final java.lang.String name

  - ### Constructor Detail

    - #### StartElementToken

          public StartElementToken(java.lang.String namespaceURI,
                                   java.lang.String name,
                                   Location location)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### render

          public void render(MarkupWriter writer,
                             RenderQueue queue)

      Description copied from interface: `RenderCommand`
      Invoked on an object to request that it render itself. This involves a mix of invoking methods on the writer, and queueing up additional commands (often, representing children of the object that was invoked) to perform additional rendering. In this way, rendering is a tail recursive algorithm, but is not implemented using tail recursion.
      Specified by:
        `render` in interface `RenderCommand`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.